As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 1329538 - Make Adobe Primetime CDM non-visible in Firefox
: Make Adobe Primetime CDM non-visible in Firefox
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video: Playback (show other bugs)
: unspecified
: Unspecified Unspecified
: P3 normal (vote)
: mozilla53
Assigned To: Chris Pearce (:cpearce)
:
: Anthony Jones (:kentuckyfriedtakahe, :k17e)
Mentors:
Depends on:
Blocks: EME 1032660
  Show dependency treegraph
 
Reported: 2017-01-08 16:52 PST by Chris Pearce (:cpearce)
Modified: 2017-01-13 13:58 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
fixed
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1329538 - Don't enable Adobe EME in release mozconfig. (59 bytes, text/x-review-board-request)
2017-01-08 17:09 PST, Chris Pearce (:cpearce)
mh+mozilla: review+
jcristau: approval‑mozilla‑aurora+
lhenry: approval‑mozilla‑beta-
Details | Review

Description User image Chris Pearce (:cpearce) 2017-01-08 16:52:39 PST
Henceforth we will no longer be shipping Adobe Primetime support in Firefox.

So we should flip the pref to make it not appear by default in the add-on manager plug-in list, and thus render it invisible and disabled by default.

The Adobe Primetime CDM was already not being downloaded by default (bug 1304899).

I will follow up in other bugs to remove the supporting code.
Comment 2 User image Chris Pearce (:cpearce) 2017-01-08 17:09:06 PST Comment hidden (mozreview-request)
Comment 3 User image Chris Pearce (:cpearce) 2017-01-08 17:23:35 PST
We'll want to uplift this to Firefox 52, as that's what's becoming ESR.
Comment 4 User image Mike Hommey [:glandium] 2017-01-09 21:51:33 PST
Comment on attachment 8824836 [details]
Bug 1329538 - Don't enable Adobe EME in release mozconfig.

https://reviewboard.mozilla.org/r/103116/#review104068
Comment 5 User image Pulsebot 2017-01-09 21:53:10 PST
Pushed by cpearce@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/800cdcd929ed
Don't enable Adobe EME in release mozconfig. r=glandium
Comment 6 User image Wes Kocher (:KWierso) 2017-01-10 17:58:03 PST
https://hg.mozilla.org/mozilla-central/rev/800cdcd929ed
Comment 7 User image Chris Pearce (:cpearce) 2017-01-11 17:21:07 PST
Comment on attachment 8824836 [details]
Bug 1329538 - Don't enable Adobe EME in release mozconfig.

We are removing Adobe Primetime EME support, and it's already disabled by default in 52.


Approval Request Comment
[Feature/Bug causing the regression]: Adobe Primetime EME support

[User impact if declined]: We'll show the Primetime EME CDM in the add-ons manager, disabled by default. We expect the download server for the Primetime CDM to stop working sometime soon, so we want to remove it from Firefox before 52 hits ESR, so we don't get stuck with a CDM we can't download in our add-ons UI for a year in ESR52.

[Is this code covered by automated tests?]: We have lots of EME mochitests. We have external-media-tests that verify that Netflix is not affected.

[Has the fix been verified in Nightly?]: I verified it this morning.

[Needs manual test from QE? If yes, steps to reproduce]: No.

[List of other uplifts needed for the feature/fix]: None.

[Is the change risky?]: No.

[Why is the change risky/not risky?]: This patch removes enabling Primetime EME in our Windows build config, so it's not enabled just like on Mac/Linux already. So this is low risk, as this code path is well tested on our other platforms.

[String changes made/needed]: None.
Comment 8 User image Gerry Chang [:gchang] 2017-01-11 23:37:47 PST
Hi :cpearce,
According to comment #3, it seems to me that we only want this in 52, right? Since beta is 51 now, is it ok that we won't fix this in Beta51?
Comment 9 User image Julien Cristau [:jcristau] 2017-01-12 01:52:05 PST
Comment on attachment 8824836 [details]
Bug 1329538 - Don't enable Adobe EME in release mozconfig.

disable adobe eme for aurora52
Comment 11 User image Chris Pearce (:cpearce) 2017-01-13 00:19:15 PST
(In reply to Gerry Chang [:gchang] from comment #8)
> Hi :cpearce,
> According to comment #3, it seems to me that we only want this in 52, right?
> Since beta is 51 now, is it ok that we won't fix this in Beta51?

We can let it ride in 52. I was off by one and mistakenly thought that 52 was currently in beta. So just uplifting to aurora 52 is fine.

Note You need to log in before you can comment on or make changes to this bug.